#include "ActionInitialization.hh"
#include "PrimaryGeneratorAction.hh"
#include "BeamReactionSteppingAction.hh"
#include "RunAction.hh"

ActionInitialization::ActionInitialization()
: G4VUserActionInitialization()
{}

ActionInitialization::~ActionInitialization() {}

void ActionInitialization::Build() const
{
  SetUserAction(new RunAction());
  SetUserAction(new PrimaryGeneratorAction());
  SetUserAction(new BeamReactionSteppingAction());
}
